Subject: Re: [PATCH v4 1/5] doc: git-rebase: start with an example

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Aug 2025 07:30:13 -0700

Karthik Nayak <[email-masked]> writes:

>>> Nit: now that `git-switch(1)` is no longer experimental, we should start
>>> recommending it over `git-checkout(1)` as necessary. So perhaps, we
>>> could s/checkout/switch here?

Besides, the reason why it is no longer experimental is *not*
because it has proved to be so much better than "checkout" and the
users are encouraged to use it.

It is no longer experimental only because it and its set of options
are now engraved in users' mustle memory deep enough that we can no
longer change it without disrupting users.  We were hoping to
improve its end-user experience relative to "checkout", and allowed
it to deviate from the precendent that was set by "git checkout",
and that was the reason why "this is experimental. UI and behaviour
is subject to change" label was on it.

The experiment unfortunately was not a great success.  There were
only a few meaningful differences invented during the experiment.